## matetypebuiltins matetypebuiltins |

## Synopsis

    #include <libmateui/libmateui.h>

    #define             MATE_TYPE_UI_INFO_TYPE
    GType               mate_ui_info_type_get_type         (void);
    #define             MATE_TYPE_UI_INFO_CONFIGURABLE_TYPES
    GType               mate_ui_info_configurable_types_get_type
                                                            (void);
    #define             MATE_TYPE_UI_PIXMAP_TYPE
    GType               mate_ui_pixmap_type_get_type       (void);
    #define             MATE_TYPE_INTERACT_STYLE
    GType               mate_interact_style_get_type       (void);
    #define             MATE_TYPE_DIALOG_TYPE
    GType               mate_dialog_type_get_type          (void);
    #define             MATE_TYPE_SAVE_STYLE
    GType               mate_save_style_get_type           (void);
    #define             MATE_TYPE_RESTART_STYLE
    GType               mate_restart_style_get_type        (void);
    #define             MATE_TYPE_CLIENT_STATE
    GType               mate_client_state_get_type         (void);
    #define             MATE_TYPE_CLIENT_FLAGS
    GType               mate_client_flags_get_type         (void);
    #define             MATE_TYPE_DATE_EDIT_FLAGS
    GType               mate_date_edit_flags_get_type      (void);
    #define             MATE_TYPE_EDGE_POSITION
    GType               mate_edge_position_get_type        (void);
    #define             MATE_TYPE_FONT_PICKER_MODE
    GType               mate_font_picker_mode_get_type     (void);
    #define             MATE_TYPE_ICON_LIST_MODE
    GType               mate_icon_list_mode_get_type       (void);
    #define             MATE_TYPE_MDI_MODE
    GType               mate_mdi_mode_get_type             (void);
    #define             MATE_TYPE_PREFERENCES_TYPE
    GType               mate_preferences_type_get_type     (void);
    #define             MATE_TYPE_THUMBNAIL_SIZE
    GType               mate_thumbnail_size_get_type       (void);
    #define             MATE_TYPE_ICON_LOOKUP_FLAGS
    GType               mate_icon_lookup_flags_get_type    (void);
    #define             MATE_TYPE_ICON_LOOKUP_RESULT_FLAGS
    GType               mate_icon_lookup_result_flags_get_type
                                                            (void);
    #define             MATE_TYPE_ICON_THEME
    GType               mate_icon_theme_get_type           (void);
    #define             MATE_TYPE_THUMBNAIL_FACTORY
    GType               mate_thumbnail_factory_get_type    (void);

## Description

## Details

### MATE_TYPE_UI_INFO_TYPE

    #define MATE_TYPE_UI_INFO_TYPE mate_ui_info_type_get_type()

### mate_ui_info_type_get_type ()

    GType               mate_ui_info_type_get_type         (void);

Returns : |

### MATE_TYPE_UI_INFO_CONFIGURABLE_TYPES

    #define MATE_TYPE_UI_INFO_CONFIGURABLE_TYPES mate_ui_info_configurable_types_get_type()

### mate_ui_info_configurable_types_get_type ()

    GType               mate_ui_info_configurable_types_get_type
                                                            (void);

Returns : |

### MATE_TYPE_UI_PIXMAP_TYPE

    #define MATE_TYPE_UI_PIXMAP_TYPE mate_ui_pixmap_type_get_type()

### mate_ui_pixmap_type_get_type ()

    GType               mate_ui_pixmap_type_get_type       (void);

Returns : |

### MATE_TYPE_INTERACT_STYLE

    #define MATE_TYPE_INTERACT_STYLE mate_interact_style_get_type()

### mate_interact_style_get_type ()

    GType               mate_interact_style_get_type       (void);

Returns : |

### MATE_TYPE_DIALOG_TYPE

    #define MATE_TYPE_DIALOG_TYPE mate_dialog_type_get_type()

### mate_dialog_type_get_type ()

    GType               mate_dialog_type_get_type          (void);

Returns : |

### MATE_TYPE_SAVE_STYLE

    #define MATE_TYPE_SAVE_STYLE mate_save_style_get_type()

### mate_save_style_get_type ()

    GType               mate_save_style_get_type           (void);

Returns : |

### MATE_TYPE_RESTART_STYLE

    #define MATE_TYPE_RESTART_STYLE mate_restart_style_get_type()

### mate_restart_style_get_type ()

    GType               mate_restart_style_get_type        (void);

Returns : |

### MATE_TYPE_CLIENT_STATE

    #define MATE_TYPE_CLIENT_STATE mate_client_state_get_type()

### mate_client_state_get_type ()

    GType               mate_client_state_get_type         (void);

Returns : |

### MATE_TYPE_CLIENT_FLAGS

    #define MATE_TYPE_CLIENT_FLAGS mate_client_flags_get_type()

### mate_client_flags_get_type ()

    GType               mate_client_flags_get_type         (void);

Returns : |

### MATE_TYPE_DATE_EDIT_FLAGS

    #define MATE_TYPE_DATE_EDIT_FLAGS mate_date_edit_flags_get_type()

### mate_date_edit_flags_get_type ()

    GType               mate_date_edit_flags_get_type      (void);

Returns : |

### MATE_TYPE_EDGE_POSITION

    #define MATE_TYPE_EDGE_POSITION mate_edge_position_get_type()

### mate_edge_position_get_type ()

    GType               mate_edge_position_get_type        (void);

Returns : |

### MATE_TYPE_FONT_PICKER_MODE

    #define MATE_TYPE_FONT_PICKER_MODE mate_font_picker_mode_get_type()

### mate_font_picker_mode_get_type ()

    GType               mate_font_picker_mode_get_type     (void);

Returns : |

### MATE_TYPE_ICON_LIST_MODE

    #define MATE_TYPE_ICON_LIST_MODE mate_icon_list_mode_get_type()

### mate_icon_list_mode_get_type ()

    GType               mate_icon_list_mode_get_type       (void);

Returns : |

### MATE_TYPE_MDI_MODE

    #define MATE_TYPE_MDI_MODE mate_mdi_mode_get_type()

### mate_mdi_mode_get_type ()

    GType               mate_mdi_mode_get_type             (void);

Returns : |

### MATE_TYPE_PREFERENCES_TYPE

    #define MATE_TYPE_PREFERENCES_TYPE mate_preferences_type_get_type()

### mate_preferences_type_get_type ()

    GType               mate_preferences_type_get_type     (void);

Returns : |

### MATE_TYPE_THUMBNAIL_SIZE

    #define MATE_TYPE_THUMBNAIL_SIZE mate_thumbnail_size_get_type()

### mate_thumbnail_size_get_type ()

    GType               mate_thumbnail_size_get_type       (void);

Returns : |

### MATE_TYPE_ICON_LOOKUP_FLAGS

    #define MATE_TYPE_ICON_LOOKUP_FLAGS mate_icon_lookup_flags_get_type()

### mate_icon_lookup_flags_get_type ()

    GType               mate_icon_lookup_flags_get_type    (void);

Returns : |

### MATE_TYPE_ICON_LOOKUP_RESULT_FLAGS

    #define MATE_TYPE_ICON_LOOKUP_RESULT_FLAGS mate_icon_lookup_result_flags_get_type()

### mate_icon_lookup_result_flags_get_type ()

    GType               mate_icon_lookup_result_flags_get_type
                                                            (void);

Returns : |

### MATE_TYPE_ICON_THEME

    #define MATE_TYPE_ICON_THEME             (mate_icon_theme_get_type ())

### Warning

`MATE_TYPE_ICON_THEME` is deprecated and should not be used in newly-written code.

### mate_icon_theme_get_type ()

    GType               mate_icon_theme_get_type           (void);

### Warning

`mate_icon_theme_get_type` is deprecated and should not be used in newly-written code.

Returns : |

### MATE_TYPE_THUMBNAIL_FACTORY

    #define MATE_TYPE_THUMBNAIL_FACTORY (mate_thumbnail_factory_get_type ())

### mate_thumbnail_factory_get_type ()

    GType               mate_thumbnail_factory_get_type    (void);

Returns : |